import Login from 'pubsweet-component-login/LoginContainer'
import { connect } from 'react-redux'
import { withProps, lifecycle, compose } from 'recompose'
import { actions } from 'pubsweet-client'

const LoginPage = compose(
  connect(null, { logoutUser: actions.logoutUser }),
  withProps({ passwordReset: true }),
  lifecycle({
    componentDidMount() {
      const { logoutUser } = this.props
      logoutUser()
    },
  }),
)(Login)

export default LoginPage
