const path = require('path')

module.exports = {
  sections: [
    {
      name: 'Hinadwi UI',
      sectionDepth: 1,
      components: ['../component-faraday-ui/src/[A-Z]*.js'],
    },
    {
      name: 'Modals',
      sectionDepth: 1,
      components: ['../component-faraday-ui/src/modals/[A-Z]*.js'],
    },
    {
      name: 'Grid Items',
      sectionDepth: 1,
      components: ['../component-faraday-ui/src/gridItems/[A-Z]*.js'],
    },
  ],
  skipComponentsWithoutExample: true,
  pagePerSection: true,
  styleguideComponents: {
    Wrapper: path.join(__dirname, 'src/Wrapper'),
  },
}
